package com.qmth.paper.library.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 图片库
 * </p>
 */
@TableName("paper_library")
public class PaperLibrary extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "扫描任务表id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("paper_scan_task_id")
    private Long paperScanTaskId;

    /**
     * 存储路径
     */
    @TableField("path")
    private String path;

    @ApiModelProperty(value = "考生ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("student_id")
    private Long studentId;

    /**
     * 图片序号
     */
    @TableField("sequence")
    private Integer sequence;
    /**
     * OCR或者条码识别结果使用值
     */
    @TableField("bind_result")
    private String bindResult;

    /**
     * OCR或者条码识别结果(原始值)
     */
    @TableField("recognize_result")
    private String recognizeResult;

    /**
     * 批次号
     */
    @TableField("batch_no")
    private String batchNo;

    /**
     * 学校ID
     */
    @TableField("school_id")
    private Long schoolId;

    /**
     * 扫描日期 yyyy-MM-dd
     */
    @TableField("create_date")
    private String createDate;

    public Long getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(Long paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Integer getSequence() {
        return sequence;
    }

    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }

    public String getBindResult() {
        return bindResult;
    }

    public void setBindResult(String bindResult) {
        this.bindResult = bindResult;
    }

    public String getRecognizeResult() {
        return recognizeResult;
    }

    public void setRecognizeResult(String recognizeResult) {
        this.recognizeResult = recognizeResult;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }
}
